server {
    server_name  git.sailforce.online;
    root         /var/www/html;

    client_max_body_size 200m;
    # Load configuration files for the default server block.
    location / {
 	proxy_pass https://github.com;
        proxy_set_header Host github.com;
        proxy_set_header Referer https://github.com;

        proxy_set_header User-Agent $http_user_agent;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header Accept-Encoding "";
        proxy_set_header Accept-Language $http_accept_language;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;

        sub_filter github.com example.com;
        sub_filter_once off;    
}
    
    
    error_page 404 /404.html;
        location = /40x.html {
    }

    error_page 500 502 503 504 /50x.html;
        location = /50x.html {
    }


    listen 543;# managed by Certbot
}
